---
layout: job_page
title: "Security Engineer"
---

We are looking for a capable security engineer who is able to identify and fix
vulnerabilities within the GitLab software stack and help implement good
security practices within the company.

## Responsibilities

* Find and fix security issues within the GitLab code base
* Define, implement, and monitor security measures to protect GitLab.com and company assets
* Manage a [bug bounty program](https://medium.com/@collingreene/bug-bounty-5-years-in-c95cda604365#.blaaokpi9)
* Perform vulnerability testing, risk analyses, and security assessments
* Investigate intrusion incidents, conduct forensic investigations, and mount incident responses
* Collaborate with colleagues on authentication, authorization and encryption solutions
* Evaluate new technologies and processes that enhance security capabilities
* Analyze and advise on new security technologies and program conformance
* Write documentation around how to maintain a high-level of security.

## Requirements for Applicants

* Significant computer security experience in production-level settings
* Passion for open source
* Linux experience (e.g. Ubuntu)
* Programming experience (Ruby and Ruby on Rails preferred; for GitLab debugging)
* Collaborative team spirit with great communication skills
* You share our [values](/handbook/#values), and work in accordance with those values.
